# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse2002(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'csp_auth_token': 'str'
    }

    attribute_map = {
        'csp_auth_token': 'cspAuthToken'
    }

    def __init__(self, csp_auth_token=None):  # noqa: E501
        """InlineResponse2002 - a model defined in Swagger"""  # noqa: E501
        self._csp_auth_token = None
        self.discriminator = None
        if csp_auth_token is not None:
            self.csp_auth_token = csp_auth_token

    @property
    def csp_auth_token(self):
        """Gets the csp_auth_token of this InlineResponse2002.  # noqa: E501

        The access token.  # noqa: E501

        :return: The csp_auth_token of this InlineResponse2002.  # noqa: E501
        :rtype: str
        """
        return self._csp_auth_token

    @csp_auth_token.setter
    def csp_auth_token(self, csp_auth_token):
        """Sets the csp_auth_token of this InlineResponse2002.

        The access token.  # noqa: E501

        :param csp_auth_token: The csp_auth_token of this InlineResponse2002.  # noqa: E501
        :type: str
        """

        self._csp_auth_token = csp_auth_token

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse2002, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse2002):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
